summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChocobo12019-05-14 20:46:28 +0800
committerChocobo12019-05-14 21:08:12 +0800
commit6078895b8adfecd4b647601d446f7325b744c29c (patch)
treec7d7ee7bc36d5cfd38fe10ec95656ed37aaedbd7
downloadaur-6078895b8adfecd4b647601d446f7325b744c29c.tar.gz
newpkg: mpfr-svn r13491-1
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD47
2 files changed, 67 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..51c9a6afb73
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = mpfr-svn
+ pkgdesc = C library for multiple-precision floating-point computations with correct rounding
+ pkgver = r13491
+ pkgrel = 1
+ url = https://www.mpfr.org/
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ license = LGPL3
+ makedepends = subversion
+ depends = glibc
+ depends = gmp
+ provides = mpfr
+ conflicts = mpfr
+ options = staticlibs
+ source = svn+https://scm.gforge.inria.fr/anonscm/svn/mpfr/trunk
+ sha256sums = SKIP
+
+pkgname = mpfr-svn
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..39f7355f560
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Chocobo1 <chocobo1 AT archlinux DOT net>
+
+pkgname=mpfr-svn
+pkgver=r13491
+pkgrel=1
+pkgdesc="C library for multiple-precision floating-point computations with correct rounding"
+arch=('i686' 'x86_64')
+url="https://www.mpfr.org/"
+license=('GPL3' 'LGPL3')
+depends=('glibc' 'gmp')
+makedepends=('subversion')
+provides=('mpfr')
+conflicts=('mpfr')
+options=('staticlibs')
+source=("svn+https://scm.gforge.inria.fr/anonscm/svn/mpfr/trunk")
+sha256sums=('SKIP')
+
+
+pkgver() {
+ cd "trunk"
+
+ _ver="$(svnversion)"
+ printf "r%s" "${_ver//[[:alpha:]]}"
+}
+
+build() {
+ cd "trunk"
+
+ ./autogen.sh || true
+ automake -a
+ ./configure \
+ --prefix="/usr" \
+ --enable-thread-safe
+ make
+}
+
+check() {
+ cd "trunk"
+
+ make check
+}
+
+package() {
+ cd "trunk"
+
+ make DESTDIR="$pkgdir" install
+}